## gnome-snapshot 49.1

=== debian/changelog ===
gnome-snapshot (49.1-1ubuntu1) resolute; urgency=medium

  * Merge with Debian. Remaining changes:
    - Vendor Rust crate build dependencies into debian/missing-sources/
    - Add debian/source/include-binaries
    - Disable librust Build-Depends
    - Add XS-Vendored-Sources-Rust field
    - Depend on gstreamer1.0-plugins-extra on Ubuntu

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 26 Feb 2026 18:04:30 +0100

gnome-snapshot (49.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Build-Depends
  * Remove obsolete Breaks/Replaces
  * Remove obsolete Rules-Requires-Root: no and Priority: optional fields
  * Bump Standards Version to 4.7.3
  * Copy debian/README.source from Ubuntu & adjust debian/rules for Ubuntu

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 23 Dec 2025 14:43:15 -0500

gnome-snapshot (49.0-1ubuntu2) resolute; urgency=medium

  * d/control: Depend on gstreamer1.0-plugins-extra on Ubuntu
    - The camerasrc library is now in the -extra set.

 -- Charles <charles05@canonical.com>  Wed, 25 Feb 2026 13:14:09 +0000

gnome-snapshot (49.0-1ubuntu1) resolute; urgency=medium

  * Merge with Debian (LP: #2130182). Remaining changes:
    - Vendor Rust crate build dependencies into debian/missing-sources/
    - Add debian/source/include-binaries
    - Disable librust Build-Depends
    - Add XS-Vendored-Sources-Rust field
    - Add debian/README.source
    - Depend on gstreamer1.0-plugins-good instead of -bad
  * d/control: Drop {Static-}Built-Using field
  * d/p: Drop libadwaita reverts not needed anymore
  * d/rules: Automate XS-Vendored-Sources-Rust handling
  * Update vendored rust crates
  * Update debian/source/include-binaries
  * Update XS-Vendored-Sources-Rust field

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 05 Dec 2025 11:42:31 +0100
