=== debian/control ===
Source: gnome-snapshot
Section: gnome
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Matthias Geiger <werdahias@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-cargo,
 cargo:native,
 desktop-file-utils,
 libadwaita-1-dev (>= 1.8~alpha),
 libglib2.0-dev (>= 2.75),
 libgstreamer-plugins-bad1.0-dev (>= 1.20),
 libgstreamer1.0-dev (>= 1.20),
 libgtk-4-dev (>= 4.18),
 liblcms2-dev,
 libseccomp-dev,
# librust-anyhow-1+default-dev,
# librust-aperture+default-dev,
# librust-ashpd-0.12+async-std-dev,
# librust-ashpd-0.12+gtk4-wayland-dev,
# librust-ashpd-0.12+tracing-dev,
# librust-futures-channel-0.3+default-dev (>= 0.3.30-~~),
# librust-gettext-rs-0.7+default-dev,
# librust-gettext-rs-0.7+gettext-system-dev,
# librust-glycin-3+default-dev,
# librust-glycin-3+gdk4-dev,
# librust-gstreamer-0.24+default-dev,
# librust-gstreamer-0.24+v1-20-dev,
# librust-gstreamer-base-0.24+default-dev,
# librust-gstreamer-pbutils-0.24+default-dev,
# librust-gstreamer-video-0.24+default-dev,
# librust-gtk4-0.10+default-dev,
# librust-gtk4-0.10+gnome-46-dev,
# librust-gtk4-0.10+gnome-47-dev,
# librust-gtk4-0.10+v4-18-dev,
# librust-libadwaita-0.8+default-dev,
# librust-libadwaita-0.8+v1-8-dev,
# librust-log-0.4+default-dev,
# librust-rqrr-0.10-dev,
# librust-tracing-subscriber-0.3+default-dev,
 libstd-rust-dev,
 meson (>= 0.59),
 quilt,
 rustc:native (>= 1.85)
Standards-Version: 4.7.3
Homepage: https://gitlab.gnome.org/GNOME/snapshot
XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/snapshot
XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/snapshot.git
Vcs-Browser: https://salsa.debian.org/ubuntu-dev-team/snapshot
Vcs-Git: https://salsa.debian.org/ubuntu-dev-team/snapshot.git
XS-Vendored-Sources-Rust: aho-corasick@1.1.3, allocator-api2@0.2.21, anyhow@1.0.99, ashpd@0.12.0, async-broadcast@0.7.2, async-channel@2.5.0, async-executor@1.13.3, async-fs@2.1.3, async-io@2.5.0, async-lock@3.4.1, async-net@2.0.0, async-process@2.4.0, async-signal@0.2.12, async-task@4.7.1, async-trait@0.1.89, atomic-waker@1.1.2, atomic_refcell@0.1.13, autocfg@1.5.0, bitflags@2.9.3, blocking@1.6.2, bytemuck@1.23.2, byteorder@1.5.0, cairo-rs@0.21.1, cairo-sys-rs@0.21.1, cc@1.2.35, cfg-expr@0.20.2, cfg-if@1.0.3, cfg_aliases@0.2.1, concurrent-queue@2.5.0, crossbeam-deque@0.8.6, crossbeam-epoch@0.9.18, crossbeam-utils@0.8.21, displaydoc@0.2.5, dlib@0.5.2, dunce@1.0.5, either@1.15.0, endi@1.1.0, enumflags2@0.7.12, enumflags2_derive@0.7.12, env_filter@0.1.3, env_logger@0.11.8, equivalent@1.0.2, errno@0.3.13, event-listener-strategy@0.5.4, event-listener@5.4.1, fastrand@2.3.0, field-offset@0.3.6, find-msvc-tools@0.1.0, foldhash@0.1.5, foreign-types-macros@0.2.3, foreign-types-shared@0.3.1, foreign-types@0.5.0, form_urlencoded@1.2.2, futures-channel@0.3.31, futures-core@0.3.31, futures-executor@0.3.31, futures-io@0.3.31, futures-lite@2.6.1, futures-macro@0.3.31, futures-task@0.3.31, futures-timer@3.0.3, futures-util@0.3.31, g2gen@1.2.2, g2p@1.2.2, g2poly@1.2.2, gdk-pixbuf-sys@0.21.1, gdk-pixbuf@0.21.1, gdk4-sys@0.10.0, gdk4-wayland-sys@0.10.0, gdk4-wayland@0.10.0, gdk4-x11-sys@0.10.0, gdk4-x11@0.10.0, gdk4@0.10.0, getrandom@0.3.3, gettext-rs@0.7.2, gettext-sys@0.22.5, gio-sys@0.21.1, gio@0.21.1, glib-macros@0.21.0, glib-sys@0.21.1, glib@0.21.1, glycin-common@1.0.0, glycin-utils@4.0.0, glycin@3.0.0, gobject-sys@0.21.1, graphene-rs@0.21.1, graphene-sys@0.21.1, gsk4-sys@0.10.0, gsk4@0.10.0, gstreamer-audio-sys@0.24.0, gstreamer-audio@0.24.0, gstreamer-base-sys@0.24.0, gstreamer-base@0.24.0, gstreamer-pbutils-sys@0.24.0, gstreamer-pbutils@0.24.0, gstreamer-sys@0.24.0, gstreamer-video-sys@0.24.1, gstreamer-video@0.24.1, gstreamer@0.24.1, gtk4-macros@0.10.0, gtk4-sys@0.10.0, gtk4@0.10.0, gufo-common@1.0.1, gufo-exif@0.3.0, half@2.6.0, hashbrown@0.15.5, heck@0.5.0, hex@0.4.3, icu_collections@2.0.0, icu_locale_core@2.0.0, icu_normalizer@2.0.0, icu_normalizer_data@2.0.0, icu_properties@2.0.1, icu_properties_data@2.0.1, icu_provider@2.0.0, idna@1.1.0, idna_adapter@1.2.1, indexmap@2.11.0, itertools@0.14.0, jiff@0.2.15, jobserver@0.1.34, kstring@2.0.2, lazy_static@1.5.0, lcms2-sys@4.0.6, lcms2@6.1.1, libadwaita-sys@0.8.0, libadwaita@0.8.0, libc@0.2.175, libloading@0.8.8, libseccomp-sys@0.3.0, libseccomp@0.4.0, linux-raw-sys@0.9.4, litemap@0.8.0, locale_config@0.3.0, log@0.4.27, lru@0.12.5, memchr@2.7.5, memfd@0.6.5, memmap2@0.9.8, memoffset@0.9.1, muldiv@1.0.1, nix@0.30.1, nu-ansi-term@0.50.1, num-integer@0.1.46, num-rational@0.4.2, num-traits@0.2.19, once_cell@1.21.3, option-operations@0.5.0, ordered-stream@0.2.0, pango-sys@0.21.1, pango@0.21.1, parking@2.2.1, paste@1.0.15, percent-encoding@2.3.2, pin-project-lite@0.2.16, pin-utils@0.1.0, piper@0.2.4, pkg-config@0.3.32, polling@3.10.0, potential_utf@0.1.3, ppv-lite86@0.2.21, proc-macro-crate@3.3.0, proc-macro2@1.0.101, quote@1.0.40, rand@0.9.2, rand_chacha@0.9.0, rand_core@0.9.3, rayon-core@1.13.0, rayon@1.11.0, regex-automata@0.4.10, regex-syntax@0.8.6, regex@1.11.2, rmp-serde@1.3.0, rmp@0.8.14, rqrr@0.10.0, rustc_version@0.4.1, rustix@1.0.8, semver@1.0.26, serde@1.0.219, serde_derive@1.0.219, serde_repr@0.1.20, serde_spanned@0.6.9, sharded-slab@0.1.7, shlex@1.3.0, signal-hook-registry@1.4.6, slab@0.4.11, smallvec@1.15.1, stable_deref_trait@1.2.0, static_assertions@1.1.0, syn@2.0.106, synstructure@0.13.2, system-deps@7.0.5, target-lexicon@0.13.2, temp-dir@0.1.16, thiserror-impl@2.0.16, thiserror@2.0.16, thread_local@1.1.9, tinystr@0.8.1, toml@0.8.23, toml_datetime@0.6.11, toml_edit@0.22.27, tracing-attributes@0.1.30, tracing-core@0.1.34, tracing-log@0.2.0, tracing-subscriber@0.3.20, tracing@0.1.41, unicode-ident@1.0.18, url@2.5.7, utf8_iter@1.0.4, version-compare@0.2.0, winnow@0.7.13, writeable@0.6.1, x11@2.21.0, yeslogic-fontconfig-sys@6.0.0, yoke-derive@0.8.0, yoke@0.8.0, zbus@5.10.0, zbus_macros@5.10.0, zbus_names@4.2.0, zerocopy-derive@0.8.26, zerocopy@0.8.26, zerofrom-derive@0.1.6, zerofrom@0.1.6, zerotrie@0.2.2, zerovec-derive@0.11.1, zerovec@0.11.4, zvariant@5.7.0, zvariant_derive@5.7.0, zvariant_utils@3.2.1

Package: gnome-snapshot
Architecture: any
Multi-Arch: foreign
Depends:
 gstreamer1.0-gl,
 gstreamer1.0-gtk4 (>= 0.14),
 gstreamer1.0-libcamera,
 gstreamer1.0-pipewire,
 ${gstreamer:ExtraPlugins},
 pipewire,
 xdg-desktop-portal-gnome | xdg-desktop-portal-backend,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends: libcamera-ipa, libspa-0.2-libcamera
Provides: snapshot (= ${binary:Version})
Description: Take pictures and videos from your webcam
 snapshot is an app that allows you to take pictures and videos
 with your system's camera. It became GNOME's default webcam app
 in GNOME 45. Furthermore, it allows for scanning and decoding of QR
 codes.
