=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
include /usr/share/rustc/architecture.mk
export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE
export PATH := /usr/share/cargo/bin:$(PATH)
export CARGO=/usr/share/cargo/bin/cargo
export CARGO_HOME=$(CURDIR)/debian/cargo_home
export CARGO_VENDOR_DIR = $(CURDIR)/debian/missing-sources
export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

ifeq ($(shell dpkg-vendor --query Vendor),Ubuntu)
EXTRA_GST_PLUGINS = gstreamer1.0-plugins-extra
else
EXTRA_GST_PLUGINS = gstreamer1.0-plugins-bad
endif

%:
	dh $@

override_dh_gencontrol:
	dh_gencontrol -- -V'gstreamer:ExtraPlugins=$(EXTRA_GST_PLUGINS)'

execute_after_dh_auto_clean:
	rm -rf debian/cargo_registry

# Disable lto on 32-bit arches since it OOMs otherwise
execute_before_dh_auto_configure:
ifeq ($(DEB_HOST_ARCH_BITS),32)
export DEB_BUILD_OPTIONS += optimize=-lto
endif

# Pass DEB_HOST_RUST type to meson to build
override_dh_auto_configure:
ifneq (,$(shell grep XS-Vendored-Sources-Rust debian/control))
	$(CARGO) prepare-debian $(CARGO_VENDOR_DIR)
else
	$(CARGO) prepare-debian debian/cargo_registry --link-from-system
endif
	rm -f Cargo.lock
	dh_auto_configure -- \
	-Dhost_arch="$(DEB_HOST_RUST_TYPE)" \
	-Dprofile="default" \
	-Dx11=enabled \

override_dh_auto_test:
	dh_auto_test --  --timeout-multiplier 4

# Generate (Static-)Built-Using
# Symlink the meson target dir to target/$(DEB_HOST_RUST_TYPE)/release
# since dh-cargo-built-using expects it there
# Ubuntu doesn't use Static-Built-Using currently for their packages in main
execute_after_dh_auto_install:
ifeq (,$(shell grep Static-Built-Using debian/control))
	mkdir -p $(CURDIR)/target/$(DEB_HOST_RUST_TYPE)/
	ln -s $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/src/$(DEB_HOST_RUST_TYPE)/release target/$(DEB_HOST_RUST_TYPE)/
	/usr/share/cargo/bin/dh-cargo-built-using gnome-snapshot
endif

# Used by Ubuntu
vendor:
	dh_quilt_patch
	rm -rf $(CARGO_VENDOR_DIR)
	CARGO_HOME= $(CARGO) vendor-filterer --platform='*-*-linux-gnu' --platform '*-*-linux-gnueabi' \
	  --exclude-crate-path system-deps#src/tests/lib/libteststatic.a --all-features \
	  $(CARGO_VENDOR_DIR)
	git add -f $(CARGO_VENDOR_DIR)
	git commit -m "Update vendored rust crates" || true
	git reset --hard && git clean -fdx

	uscan --download-current-version --destdir=..
	rm debian/source/include-binaries
	dpkg-source --include-binaries -b .
	git add debian/source/include-binaries
	git commit -m "Update debian/source/include-binaries" || true
	git reset --hard && git clean -fdx

	rm Cargo.toml
	VENDORED_SOURCES=$$(CARGO_HOME= /usr/share/cargo/bin/dh-cargo-vendored-sources 2>&1 | grep "^XS-Vendored-Sources-Rust:") \
	  && sed -i "s/^XS-Vendored-Sources-Rust:.*/$${VENDORED_SOURCES}/" debian/control
	git add debian/control
	git commit -m "Update XS-Vendored-Sources-Rust field" || true
	git checkout Cargo.toml
