## gnome-snapshot 50~beta

=== debian/changelog ===
gnome-snapshot (50~beta-0ubuntu1) resolute; urgency=medium

  * New upstream release (LP: #2142842)
  * d/p: Refresh patches
  * d/rules: Do not fail vendor target with no changes
  * d/rules: Use gbp-export-orig in vendoring target
  * Update vendored rust crates
  * Update debian/source/include-binaries
  * Update XS-Vendored-Sources-Rust field
  * d/control: Depend on libglycin
  * d/control, d/rules: Build with rust 1.92
  * d/p/fix-meson-build.diff: Fix build in Ubuntu
  * d/rules: Further fixup shell conditionals

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 27 Feb 2026 14:10:03 +0100
