=== debian/control ===
Source: gnome-snapshot
Section: gnome
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Matthias Geiger <werdahias@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-cargo,
 cargo-1.92:native,
 desktop-file-utils,
 libadwaita-1-dev (>= 1.8~alpha),
 libglib2.0-dev (>= 2.75),
 libgstreamer-plugins-bad1.0-dev (>= 1.20),
 libgstreamer1.0-dev (>= 1.20),
 libgtk-4-dev (>= 4.18),
 libglycin-gtk4-2-dev,
 libglycin-2-dev,
 liblcms2-dev,
 libseccomp-dev,
# librust-anyhow-1+default-dev,
# librust-aperture+default-dev,
# librust-ashpd-0.12+async-std-dev,
# librust-ashpd-0.12+gtk4-wayland-dev,
# librust-ashpd-0.12+tracing-dev,
# librust-futures-channel-0.3+default-dev (>= 0.3.30-~~),
# librust-gettext-rs-0.7+default-dev,
# librust-gettext-rs-0.7+gettext-system-dev,
# librust-glycin-3+default-dev,
# librust-glycin-3+gdk4-dev,
# librust-gstreamer-0.24+default-dev,
# librust-gstreamer-0.24+v1-20-dev,
# librust-gstreamer-base-0.24+default-dev,
# librust-gstreamer-pbutils-0.24+default-dev,
# librust-gstreamer-video-0.24+default-dev,
# librust-gtk4-0.10+default-dev,
# librust-gtk4-0.10+gnome-46-dev,
# librust-gtk4-0.10+gnome-47-dev,
# librust-gtk4-0.10+v4-18-dev,
# librust-libadwaita-0.8+default-dev,
# librust-libadwaita-0.8+v1-8-dev,
# librust-log-0.4+default-dev,
# librust-rqrr-0.10-dev,
# librust-tracing-subscriber-0.3+default-dev,
 libstd-rust-dev,
 meson (>= 0.59),
 quilt,
 rustc-1.92:native
Standards-Version: 4.7.3
Homepage: https://gitlab.gnome.org/GNOME/snapshot
XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/snapshot
XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/snapshot.git
Vcs-Browser: https://salsa.debian.org/ubuntu-dev-team/snapshot
Vcs-Git: https://salsa.debian.org/ubuntu-dev-team/snapshot.git
XS-Vendored-Sources-Rust: aho-corasick@1.1.4, allocator-api2@0.2.21, anyhow@1.0.100, ashpd@0.13.0-alpha, async-broadcast@0.7.2, async-channel@2.5.0, async-executor@1.13.3, async-io@2.6.0, async-lock@3.4.2, async-process@2.5.0, async-signal@0.2.13, async-task@4.7.1, async-trait@0.1.89, atomic-waker@1.1.2, atomic_refcell@0.1.13, autocfg@1.5.0, bitflags@2.10.0, blocking@1.6.2, cairo-rs@0.22.0-alpha.2, cairo-sys-rs@0.22.0-alpha.2, cc@1.2.53, cfg-expr@0.20.5, cfg-if@1.0.4, concurrent-queue@2.5.0, crossbeam-utils@0.8.21, either@1.15.0, endi@1.1.1, enumflags2@0.7.12, enumflags2_derive@0.7.12, equivalent@1.0.2, errno@0.3.14, event-listener-strategy@0.5.4, event-listener@5.4.1, fastrand@2.3.0, field-offset@0.3.6, find-msvc-tools@0.1.8, foldhash@0.2.0, formatx@0.2.4, futures-channel@0.3.31, futures-core@0.3.31, futures-executor@0.3.31, futures-io@0.3.31, futures-lite@2.6.1, futures-macro@0.3.31, futures-task@0.3.31, futures-util@0.3.31, g2gen@1.2.2, g2p@1.2.2, g2poly@1.2.2, gdk-pixbuf-sys@0.22.0-alpha.2, gdk-pixbuf@0.22.0-alpha.2, gdk4-sys@0.11.0-alpha.2, gdk4-wayland-sys@0.11.0-alpha.2, gdk4-wayland@0.11.0-alpha.2, gdk4-x11-sys@0.11.0-alpha.2, gdk4-x11@0.11.0-alpha.2, gdk4@0.11.0-alpha.2, getrandom@0.3.4, gettext-rs@0.7.7, gettext-sys@0.26.0, gio-sys@0.22.0-alpha.2, gio@0.22.0-alpha.2, glib-macros@0.22.0-alpha.2, glib-sys@0.22.0-alpha.2, glib@0.22.0-alpha.2, gobject-sys@0.22.0-alpha.2, graphene-rs@0.22.0-alpha.2, graphene-sys@0.22.0-alpha.2, gsk4-sys@0.11.0-alpha.2, gsk4@0.11.0-alpha.2, gstreamer-audio-sys@0.25.0-alpha.1, gstreamer-audio@0.25.0-alpha.1, gstreamer-base-sys@0.25.0-alpha.1, gstreamer-base@0.25.0-alpha.1, gstreamer-pbutils-sys@0.25.0-alpha.1, gstreamer-pbutils@0.25.0-alpha.1, gstreamer-sys@0.25.0-alpha.1, gstreamer-video-sys@0.25.0-alpha.1, gstreamer-video@0.25.0-alpha.1, gstreamer@0.25.0-alpha.1, gtk4-macros@0.11.0-alpha.2, gtk4-sys@0.11.0-alpha.2, gtk4@0.11.0-alpha.2, hashbrown@0.16.1, heck@0.5.0, hex@0.4.3, indexmap@2.13.0, itertools@0.14.0, kstring@2.0.2, lazy_static@1.5.0, libadwaita-sys@0.9.0-alpha.0, libadwaita@0.9.0-alpha.0, libc@0.2.180, libglycin-gtk4-rebind-sys@0.1.0-alpha.3, libglycin-gtk4-rebind@0.1.0-alpha.3, libglycin-rebind-sys@0.1.0-alpha.3, libglycin-rebind@0.1.0-beta, linux-raw-sys@0.11.0, locale_config@0.3.0, log@0.4.29, lru@0.16.3, memchr@2.7.6, memoffset@0.9.1, muldiv@1.0.1, nu-ansi-term@0.50.3, num-integer@0.1.46, num-rational@0.4.2, num-traits@0.2.19, once_cell@1.21.3, option-operations@0.6.1, ordered-stream@0.2.0, pango-sys@0.22.0-alpha.2, pango@0.22.0-alpha.2, parking@2.2.1, pastey@0.2.1, pin-project-lite@0.2.16, pin-utils@0.1.0, piper@0.2.4, pkg-config@0.3.32, polling@3.11.0, proc-macro-crate@3.4.0, proc-macro2@1.0.105, quote@1.0.43, regex-automata@0.4.13, regex-syntax@0.8.8, regex@1.12.2, rqrr@0.10.1, rustc_version@0.4.1, rustix@1.1.3, semver@1.0.27, serde@1.0.228, serde_core@1.0.228, serde_derive@1.0.228, serde_repr@0.1.20, serde_spanned@1.0.4, sharded-slab@0.1.7, shlex@1.3.0, signal-hook-registry@1.4.8, slab@0.4.11, smallvec@1.15.1, static_assertions@1.1.0, syn@2.0.114, system-deps@7.0.7, target-lexicon@0.13.3, temp-dir@0.1.16, thiserror-impl@2.0.18, thiserror@2.0.18, thread_local@1.1.9, toml@0.9.11+spec-1.1.0, toml_datetime@0.7.5+spec-1.1.0, toml_edit@0.23.10+spec-1.0.0, toml_parser@1.0.6+spec-1.1.0, toml_writer@1.0.6+spec-1.1.0, tracing-attributes@0.1.31, tracing-core@0.1.36, tracing-log@0.2.0, tracing-subscriber@0.3.22, tracing@0.1.44, unicode-ident@1.0.22, uuid@1.19.0, version-compare@0.2.1, winnow@0.7.14, x11@2.21.0, zbus@5.13.2, zbus_macros@5.13.2, zbus_names@4.3.1, zvariant@5.9.2, zvariant_derive@5.9.2, zvariant_utils@3.3.0

Package: gnome-snapshot
Architecture: any
Multi-Arch: foreign
Depends:
 gstreamer1.0-gl,
 gstreamer1.0-gtk4 (>= 0.14),
 gstreamer1.0-libcamera,
 gstreamer1.0-pipewire,
 ${gstreamer:ExtraPlugins},
 pipewire,
 xdg-desktop-portal-gnome | xdg-desktop-portal-backend,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends: libcamera-ipa, libspa-0.2-libcamera
Provides: snapshot (= ${binary:Version})
Description: Take pictures and videos from your webcam
 snapshot is an app that allows you to take pictures and videos
 with your system's camera. It became GNOME's default webcam app
 in GNOME 45. Furthermore, it allows for scanning and decoding of QR
 codes.
