=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,8 @@
 export CARGO_VENDOR_DIR = $(CURDIR)/debian/missing-sources
 export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
 export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
+
+export PATH:=/usr/lib/rust-1.92/bin:$(PATH)
 
 ifeq ($(shell dpkg-vendor --query Vendor),Ubuntu)
 EXTRA_GST_PLUGINS = gstreamer1.0-plugins-extra
@@ -53,7 +55,7 @@
 # since dh-cargo-built-using expects it there
 # Ubuntu doesn't use Static-Built-Using currently for their packages in main
 execute_after_dh_auto_install:
-ifeq (,$(shell grep Static-Built-Using debian/control))
+ifneq (,$(shell grep Static-Built-Using debian/control))
 	mkdir -p $(CURDIR)/target/$(DEB_HOST_RUST_TYPE)/
 	ln -s $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/src/$(DEB_HOST_RUST_TYPE)/release target/$(DEB_HOST_RUST_TYPE)/
 	/usr/share/cargo/bin/dh-cargo-built-using gnome-snapshot
@@ -70,7 +72,7 @@
 	git commit -m "Update vendored rust crates" || true
 	git reset --hard && git clean -fdx
 
-	uscan --download-current-version --destdir=..
+	gbp export-orig
 	rm debian/source/include-binaries
 	dpkg-source --include-binaries -b .
 	git add debian/source/include-binaries
@@ -79,7 +81,7 @@
 
 	rm Cargo.toml
 	VENDORED_SOURCES=$$(CARGO_HOME= /usr/share/cargo/bin/dh-cargo-vendored-sources 2>&1 | grep "^XS-Vendored-Sources-Rust:") \
-	  && sed -i "s/^XS-Vendored-Sources-Rust:.*/$${VENDORED_SOURCES}/" debian/control
+	  && sed -i "s/^XS-Vendored-Sources-Rust:.*/$${VENDORED_SOURCES}/" debian/control || true
 	git add debian/control
 	git commit -m "Update XS-Vendored-Sources-Rust field" || true
 	git checkout Cargo.toml
